cURL
curl 'https://api.gumloop.com/api/v1/evaluations/EVALUATION_ID/metrics?days=7' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
from gumloop import Gumloop
client = Gumloop(access_token="YOUR_ACCESS_TOKEN")
metrics = client.evaluations.metrics("EVALUATION_ID", days=7)
print(metrics.grades)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gumloop.com/api/v1/evaluations/{evaluation_id}/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"days": 7,
"grades": {
"pass": 41,
"needs_review": 6,
"needs_attention": 2
}
}Get evaluation metrics
Grade counts for one evaluation over a trailing window (default 30 days, 1–365).
GET
/
evaluations
/
{evaluation_id}
/
metrics
cURL
curl 'https://api.gumloop.com/api/v1/evaluations/EVALUATION_ID/metrics?days=7' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
from gumloop import Gumloop
client = Gumloop(access_token="YOUR_ACCESS_TOKEN")
metrics = client.evaluations.metrics("EVALUATION_ID", days=7)
print(metrics.grades)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gumloop.com/api/v1/evaluations/{evaluation_id}/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"days": 7,
"grades": {
"pass": 41,
"needs_review": 6,
"needs_attention": 2
}
}Authorizations
Path Parameters
ID of the organization evaluation.
Query Parameters
Window length in days.
Required range:
1 <= x <= 365Was this page helpful?
